be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

## Class CancelledAdmissionType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.CancelledAdmissionType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class CancelledAdmissionType
      extends Object
      implements Serializable

  Gegevens over de geannuleerde opname. Dit betreft de opname zelf, de periodes woongelegenheid en de eventueel periodes tijdelijke afwezigheid.

  Java class for CancelledAdmissionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CancelledAdmissionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CancelledAdmissionVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
               <element name="CancelledBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledBedPeriodListType"/>
               <element name="CancelledTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledTemporaryAbsenceListType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CancelledAdmissionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCancelledAdmissionVSBReference()` Gets the value of the cancelledAdmissionVSBReference property.
    `CancelledBedPeriodListType` | `getCancelledBedPeriodList()` Gets the value of the cancelledBedPeriodList property.
    `CancelledTemporaryAbsenceListType` | `getCancelledTemporaryAbsenceList()` Gets the value of the cancelledTemporaryAbsenceList property.
    `void` | `setCancelledAdmissionVSBReference(String value)` Sets the value of the cancelledAdmissionVSBReference property.
    `void` | `setCancelledBedPeriodList(CancelledBedPeriodListType value)` Sets the value of the cancelledBedPeriodList property.
    `void` | `setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)` Sets the value of the cancelledTemporaryAbsenceList property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CancelledAdmissionType

          public CancelledAdmissionType()

  - ### Method Detail

    - #### getCancelledAdmissionVSBReference

          public String getCancelledAdmissionVSBReference()

      Gets the value of the cancelledAdmissionVSBReference property.
      Returns:
        possible object is `String`

    - #### setCancelledAdmissionVSBReference

          public void setCancelledAdmissionVSBReference(String value)

      Sets the value of the cancelledAdmissionVSBReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCancelledBedPeriodList

          public CancelledBedPeriodListType getCancelledBedPeriodList()

      Gets the value of the cancelledBedPeriodList property.
      Returns:
        possible object is `CancelledBedPeriodListType`

    - #### setCancelledBedPeriodList

          public void setCancelledBedPeriodList(CancelledBedPeriodListType value)

      Sets the value of the cancelledBedPeriodList property.
      Parameters:
        `value` - allowed object is `CancelledBedPeriodListType`

    - #### getCancelledTemporaryAbsenceList

          public CancelledTemporaryAbsenceListType getCancelledTemporaryAbsenceList()

      Gets the value of the cancelledTemporaryAbsenceList property.
      Returns:
        possible object is `CancelledTemporaryAbsenceListType`

    - #### setCancelledTemporaryAbsenceList

          public void setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)

      Sets the value of the cancelledTemporaryAbsenceList property.
      Parameters:
        `value` - allowed object is `CancelledTemporaryAbsenceListType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.